%define name aethera
%define version 0.9.3
%define release 5mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Aethera - Email and PIM application for KDE
Group: 		Graphical desktop/KDE
License: 	GPL
Packager: 	Daouda Lo <daouda@mandrakesoft.com>
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.thekompany.com/projects/aethera/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:  libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 openssl db1 freetype2
BuildRequires:	libkore0 libkore0-devel
BuildRequires:  libjpeg62 kdesupport libmng1 libpng3 libqt2 libqt2-devel rpm-build korelib

Requires:	korelib

%description
Aethera is a pim application, i.e. it handles all kinds of personal 
information:  email, contacts, notes, tasks, todos, journals.
It has various communication features regarding: send/receive email, 
send/receive task requests and appointment requests via email and it 
can also send SMSs using web gateways.1

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
#%patch -p1
%build
make -f Makefile.cvs
./configure  --with-install-root=$RPM_BUILD_ROOT \
	     --disable-debug 

%make

%install
make prefix=$RPM_BUILD_ROOT%_prefix install
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/aethera
?package(aethera): needs=X11 \
section="Networking/Mail" \
title="Aethera" \
longtitle="Aethera pim client"\
command="/usr/bin/aethera" \
icon="mail_section.xpm"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun 
%clean_menus

%files
%defattr(-,root,root)
%doc BUGS COPYING INSTALL README TODO 

%_bindir/*

%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/toolbar/

%_datadir/apps/%{name}/*.list
%_datadir/apps/%{name}/toolbar/*.png
%_datadir/apps/%{name}/toolbar/*.xpm

%_datadir/applnk/Internet/*.desktop

%dir %_datadir/icons/locolor/
%dir %_datadir/icons/locolor/16x16/
%dir %_datadir/icons/locolor/16x16/apps/
%_datadir/icons/locolor/16x16/apps/*.png

%dir %_datadir/icons/locolor/22x22/
%dir %_datadir/icons/locolor/22x22/apps/
%_datadir/icons/locolor/22x22/apps/*.png

%dir %_datadir/icons/locolor/32x32/
%dir %_datadir/icons/locolor/32x32/apps/
%_datadir/icons/locolor/32x32/apps/*.png

%dir %_datadir/icons/locolor/48x48/
%dir %_datadir/icons/locolor/48x48/apps/
%_datadir/icons/locolor/48x48/apps/*.png

%_menudir/%{name}

%changelog
* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-5mdk
- wrap description

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.3-4mdk
- Rebuild against libpng3

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.3-3mdk
- Rebuild

* Thu Jul 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.3-2mdk
- Add missing files
- Add requires

* Thu Jul 12 2001  Daouda Lo <daouda@mandrakesoft.com> 0.9.3-1mdk
- release

* Mon May 21 2001  Daouda Lo <daouda@mandrakesoft.com> 0.9.2-0.1.beta.2mdk
- add korelib to BuildRequires

* Mon May 21 2001  <daouda@no.mandrakesoft.com> 0.9.2-0.1.beta.1mdk
- 0.9.2
- enhanced mails filters and loading speed
- build with plugins support

* Thu May 17 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.1-2mdk
- Allow build on non ix86 archs

* Tue Apr 3 2001 Daouda Lo <daouda@mandrakesoft.com> 0.9.1-1mdk
- release 

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.0-4mdk
- Clean spec and add build requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.0-3mdk
- Rebuild against Qt 2.3.0

* Fri Mar 9 2001 Daouda Lo <daouda@mandrakesoft.com> 0.9.0-2mdk
- add menu entry + icons

* Thu Mar  8 2001  Daouda Lo <daouda@mandrakesoft.com> 0.9.0-1mdk
- first mandrake build .
